curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/credit-memos/{id}/apply' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"amount": "49.00",
"applied_amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"credit_memo_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending",
"unapplied_amount": "49.00"
}
Ar apply credit memo
Ar apply credit memo
POST
/
api
/
v1
/
ar
/
credit-memos
/
{id}
/
apply
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/credit-memos/{id}/apply' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"amount": "49.00",
"applied_amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"credit_memo_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending",
"unapplied_amount": "49.00"
}
Path parameters
string
required
Credit memo ID
Request body
ApplyArCreditMemoRequest
string
required
Decimal amount as a string.
string
required
Response
ArCreditMemoResponse
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/credit-memos/{id}/apply' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"amount": "49.00",
"applied_amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"credit_memo_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending",
"unapplied_amount": "49.00"
}
Last modified on August 31, 2026